Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.core.io
Class NumberOutput

    java.lang.Object
      com.fasterxml.jackson.core.io.NumberOutput

    public final class NumberOutput

extends Object

Constructor Summary
`NumberOutput()`

Method Summary
`static int` | `outputInt(int value, byte[] buffer, int offset)`
`static int` | `outputInt(int value, char[] buffer, int offset)`
`static int` | `outputLong(long value, byte[] buffer, int offset)`
`static int` | `outputLong(long value, char[] buffer, int offset)`
`static String` | `toString(double value)`
`static String` | `toString(int value)`
`static String` | `toString(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumberOutput

    public NumberOutput()

Method Detail

### outputInt

    public static int outputInt(int value,
                                char[] buffer,
                                int offset)

  Returns:
    Offset within buffer after outputting int

### outputInt

    public static int outputInt(int value,
                                byte[] buffer,
                                int offset)

### outputLong

    public static int outputLong(long value,
                                 char[] buffer,
                                 int offset)

  Returns:
    Offset within buffer after outputting int

### outputLong

    public static int outputLong(long value,
                                 byte[] buffer,
                                 int offset)

### toString

    public static String toString(int value)

### toString

    public static String toString(long value)

### toString

    public static String toString(double value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 fasterxml.com. All Rights Reserved.